Ssl (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.ssl

## Interface Ssl

-     public interface Ssl

  SSL settings
  Version:
    $Id: Ssl.java,v 1.3 2005-04-20 16:49:30 alin_sinpalean Exp $
  Author:
    Rob Worsnop, Mike Hutchinson

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HS_HEADER_SIZE` TLS Hand shake Header Size.
    `static java.lang.String` | `SSL_AUTHENTICATE` SSL is required and the server must return a certificate signed by a client-trusted authority.
    `static java.lang.String` | `SSL_OFF` SSL is not used.
    `static java.lang.String` | `SSL_REQUEST` SSL is requested; a plain socket is used if SSL is not available.
    `static java.lang.String` | `SSL_REQUIRE` SSL is required; an exception if thrown if SSL is not available.
    `static int` | `TLS_HEADER_SIZE` Size of TLS record header.
    `static byte` | `TYPE_ALERT` TLS Alert record type.
    `static byte` | `TYPE_APPLICATIONDATA` TLS Application data record.
    `static byte` | `TYPE_CHANGECIPHERSPEC` TLS Change Cipher Spec record type.
    `static int` | `TYPE_CLIENTHELLO` TLS Hand shake client hello sub type.
    `static int` | `TYPE_CLIENTKEYEXCHANGE` TLS Hand shake client key exchange sub type.
    `static byte` | `TYPE_HANDSHAKE` TLS Handshake record.

- - ### Field Detail

    - #### SSL_OFF

          static final java.lang.String SSL_OFF

      SSL is not used.
      See Also:
        Constant Field Values

    - #### SSL_REQUEST

          static final java.lang.String SSL_REQUEST

      SSL is requested; a plain socket is used if SSL is not available.
      See Also:
        Constant Field Values

    - #### SSL_REQUIRE

          static final java.lang.String SSL_REQUIRE

      SSL is required; an exception if thrown if SSL is not available.
      See Also:
        Constant Field Values

    - #### SSL_AUTHENTICATE

          static final java.lang.String SSL_AUTHENTICATE

      SSL is required and the server must return a certificate signed by a client-trusted authority.
      See Also:
        Constant Field Values

    - #### TLS_HEADER_SIZE

          static final int TLS_HEADER_SIZE

      Size of TLS record header.
      See Also:
        Constant Field Values

    - #### TYPE_CHANGECIPHERSPEC

          static final byte TYPE_CHANGECIPHERSPEC

      TLS Change Cipher Spec record type.
      See Also:
        Constant Field Values

    - #### TYPE_ALERT

          static final byte TYPE_ALERT

      TLS Alert record type.
      See Also:
        Constant Field Values

    - #### TYPE_HANDSHAKE

          static final byte TYPE_HANDSHAKE

      TLS Handshake record.
      See Also:
        Constant Field Values

    - #### TYPE_APPLICATIONDATA

          static final byte TYPE_APPLICATIONDATA

      TLS Application data record.
      See Also:
        Constant Field Values

    - #### HS_HEADER_SIZE

          static final int HS_HEADER_SIZE

      TLS Hand shake Header Size.
      See Also:
        Constant Field Values

    - #### TYPE_CLIENTKEYEXCHANGE

          static final int TYPE_CLIENTKEYEXCHANGE

      TLS Hand shake client key exchange sub type.
      See Also:
        Constant Field Values

    - #### TYPE_CLIENTHELLO

          static final int TYPE_CLIENTHELLO

      TLS Hand shake client hello sub type.
      See Also:
        Constant Field Values

Generated on June 8 2013